sc::LebedevLaikovIntegrator(3)

NAME
sc::LebedevLaikovIntegrator -

An implementation of a Lebedev angular integrator'.

SYNOPSIS

#include <integrator.h>

Inherits sc::AngularIntegrator'.

  Public Member Functions
LebedevLaikovIntegrator (const Ref< KeyVal > &)
Construct a LebedevLaikovIntegrator using the given KeyVal input'.
LebedevLaikovIntegrator (StateIn &)
LebedevLaikovIntegrator (int)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
int nw (void) const
int num_angular_points (double r_value, int ir)
double angular_point_cartesian (int iangular, double r, SCVector3 &integration_point) const
void print (std::ostream &=ExEnv::out0()) const
Print the object'.

  Protected Member Functions
void init (int n)

  Protected Attributes
int npoint_
double * x_
double * y_
double * z_
double * w_

Detailed Description

An implementation of a Lebedev angular integrator'. It uses code written by Dr'. Dmitri N'. Laikov'.

This can generate grids with the following numbers of points: 6, 14, 26, 38, 50, 74, 86, 110, 146, 170, 194, 230, 266, 302, 350, 386, 434, 482, 530, 590, 650, 698, 770, 830, 890, 974, 1046, 1118, 1202, 1274, 1358, 1454, 1538, 1622, 1730, 1814, 1910, 2030, 2126, 2222, 2354, 2450, 2558, 2702, 2810, 2930, 3074, 3182, 3314, 3470, 3590, 3722, 3890, 4010, 4154, 4334, 4466, 4610, 4802, 4934, 5090, 5294, 5438, 5606, and 5810'.

V'.I'. Lebedev, and D'.N'. Laikov 'A quadrature formula for the sphere of the 131st
     algebraic order of accuracy' Doklady Mathematics, Vol'. 59, No'. 3, 1999, pp'. 477-481'.

V'.I'. Lebedev 'A quadrature formula for the sphere of 59th algebraic
     order of accuracy' Russian Acad'. Sci'. Dokl'. Math'., Vol'. 50, 1995, pp'. 283-286'.

V'.I'. Lebedev, and A'.L'. Skorokhodov 'Quadrature formulas of orders 41, 47, and 53 for the sphere' Russian Acad'. Sci'. Dokl'. Math'., Vol'. 45, 1992, pp'. 587-592'.

V'.I'. Lebedev 'Spherical quadrature formulas exact to orders 25-29' Siberian Mathematical Journal, Vol'. 18, 1977, pp'. 99-107'.

V'.I'. Lebedev 'Quadratures on a sphere' Computational Mathematics and Mathematical Physics, Vol'. 16, 1976, pp'. 10-24'.

V'.I'. Lebedev "Values of the nodes and weights of ninth to seventeenth order Gauss-Markov quadrature formulae invariant under the octahedron group with inversion" Computational Mathematics and Mathematical Physics, Vol'. 15, 1975, pp'. 44-51'.

Constructor & Destructor Documentation

  sc::LebedevLaikovIntegrator::LebedevLaikovIntegrator (const Ref< KeyVal > &)

Construct a LebedevLaikovIntegrator using the given KeyVal input'. The n keyword gives the number of angular points'. The default is 302'.

Member Function Documentation

  void sc::LebedevLaikovIntegrator::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::AngularIntegrator'.

Author

Generated automatically by Doxygen for MPQC from the source code'.